POV-Ray : Newsgroups : povray.unix : Unable to compile under Ubuntu 14.04 : Unable to compile under Ubuntu 14.04 Server Time
29 Feb 2024 14:13:14 EST (-0500)
  Unable to compile under Ubuntu 14.04  
From: Hadmut Danisch
Date: 22 Mar 2014 17:19:51
Message: <532dfe77$1@news.povray.org>
Hi,

I can't compile povray under Ubuntu 14.04. It fails in the configure stage:

./configure COMPILED_BY="your name <email@address>"

...
checking for boostlib >= 1.37... yes
checking whether the Boost::Thread library is available... yes
checking whether the boost thread library is usable... no
configure: error: in `/tmp/povray':
configure: error: cannot link with the boost thread library
See `config.log' for more details



config.log says

configure:7849: checking whether the boost thread library is usable
configure:7869: g++ -o conftest  -pthread  -pthread -I/usr/include
-L/usr/lib conftest.cpp   -pthread  >&5
/tmp/ccPemSjN.o: In function
`__static_initialization_and_destruction_0(int, int)':
conftest.cpp:(.text+0x4f): undefined reference to
`boost::system::generic_category()'
conftest.cpp:(.text+0x5b): undefined reference to
`boost::system::generic_category()'
conftest.cpp:(.text+0x67): undefined reference to
`boost::system::system_category()'
collect2: error: ld returned 1 exit status




The reason might be that under Ubuntu libboost is split into several
parts and the missing symbols are in libboost_system, which is not
linked against.

regards
Hadmut


Post a reply to this message

Copyright 2003-2023 Persistence of Vision Raytracer Pty. Ltd.